%define api		1
%define major		0
%define gmajor		1.0
%define libname		%mklibname %{name} %{api} %{major}
%define gtk3libname	%mklibname %{name}-gtk3_ %{api} %{major}
%define girname		%mklibname %{name}-gir %{gmajor}
%define gtk3girname	%mklibname %{name}gtk-gir %{gmajor}
%define develname	%mklibname %{name} -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Xfce's freedesktop.org compliant menu library
Name:		garcon
Version:	4.19.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/garcon/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)

#BuildRequires:	pkgconfig(gtk-doc)

%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package data
Summary:	Locale and data files for %{name}
Group:		Graphical desktop/Xfce

%description data
This package contains the common data files and localizations for garcon,
Xfce's freedesktop.org menu implementation.

%package -n %{libname}
Summary:	Xfce's freedesktop.org menu implementation
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{gtk3libname}
Summary:        Common GTK3 library for Xfce's freedesktop.org menu implementation
Group:          System/Libraries

%description -n %{gtk3libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{girname}
Summary:	GObject Introspection interface description for Garcon
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Garcon

%package -n %{gtk3girname}
Summary:	GObject Introspection interface description for GarconGtk
Group:		System/Libraries
Requires:	%{gtk3libname} = %{version}-%{release}

%description -n %{gtk3girname}
GObject Introspection interface description for GarconGtk.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gtk3libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{gtk3girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%autosetup -p1

%build
%xdt_autogen
%configure \
	--disable-static \
	--enable-gtk-doc=no
%make_build

%install
%make_install

# this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus/xfce-applications.menu

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files data -f %{name}.lang
%{_datadir}/desktop-directories/xfce-*.directory
%{_iconsdir}/hicolor/*/apps/org.xfce.garcon.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{gtk3libname}
%{_libdir}/lib%{name}-gtk3-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Garcon-%{gmajor}.typelib

%files -n %{gtk3girname}
%{_libdir}/girepository-1.0/GarconGtk-%{gmajor}.typelib

%files -n %{develname}
%doc AUTHORS NEWS README*
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}*/
%{_libdir}/lib%{name}*-%{api}.so
%{_libdir}/pkgconfig/%{name}*-%{api}.pc
%{_datadir}/gir-1.0/Garcon-%{gmajor}.gir
%{_datadir}/gir-1.0/GarconGtk-%{gmajor}.gir


%changelog
* Fri Nov 01 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2112060
- new version 4.19.2

* Sun Apr 21 2024 wally <wally> 4.19.1-1.mga10
+ Revision: 2060323
- new version 4.19.1

* Thu Feb 08 2024 wally <wally> 4.18.2-1.mga10
+ Revision: 2039142
- new version 4.18.2

* Sun Apr 02 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1951189
- new version 4.18.1

* Sat Dec 17 2022 wally <wally> 4.18.0-2.mga9
+ Revision: 1923899
- enable GObject Introspection support

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923750
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.3-1.mga9
+ Revision: 1915906
- new version 4.17.3

* Mon Jul 11 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1868501
- new version 4.17.1

* Tue May 24 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1860030
- new version 4.17.0

* Sun Apr 03 2022 umeabot <umeabot> 4.16.1-2.mga9
+ Revision: 1841663
- Mageia 9 Mass Rebuild

* Fri Jan 15 2021 wally <wally> 4.16.1-1.mga8
+ Revision: 1671896
- new version 4.16.1

* Wed Dec 23 2020 wally <wally> 0.8.0-1.mga8
+ Revision: 1663187
- new version 0.8.0

* Mon Dec 14 2020 wally <wally> 0.7.3-1.mga8
+ Revision: 1657372
- new version 0.7.3

* Mon Nov 16 2020 wally <wally> 0.7.2-2.mga8
+ Revision: 1646694
- fix build with autoconf 2.69d

* Mon Nov 09 2020 wally <wally> 0.7.2-1.mga8
+ Revision: 1644169
- new version 0.7.2

* Wed Aug 19 2020 wally <wally> 0.7.1-1.mga8
+ Revision: 1616197
- new version 0.7.1

* Fri Jun 19 2020 wally <wally> 0.7.0-1.mga8
+ Revision: 1597371
- new version 0.7.0
- drop gtk2 support

* Sat Feb 15 2020 umeabot <umeabot> 0.6.4-2.mga8
+ Revision: 1527922
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Jul 27 2019 wally <wally> 0.6.4-1.mga8
+ Revision: 1424648
- new version 0.6.4

* Mon Jul 01 2019 wally <wally> 0.6.3-1.mga8
+ Revision: 1417249
- new version 0.6.3

* Sat Dec 08 2018 wally <wally> 0.6.2-2.mga7
+ Revision: 1339021
- fix devel pkg requires after disabling gtk2 support

* Sat Dec 08 2018 wally <wally> 0.6.2-1.mga7
+ Revision: 1338950
- new version 0.6.2
- disable gtk2 support

* Sun Sep 23 2018 umeabot <umeabot> 0.6.1-2.mga7
+ Revision: 1297824
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 wally <wally> 0.6.1-1.mga7
+ Revision: 1161129
- new version 0.6.1
- drop libgarcon-2

* Sun Apr 16 2017 wally <wally> 0.6.0-1.mga6
+ Revision: 1096592
- new version 0.6.0
- drop upstreamed patches

* Mon Mar 28 2016 wally <wally> 0.5.0-5.mga6
+ Revision: 995878
- add patch from upstream bugzilla to fix assertion failure when opening the applications menu (xfce#12059)

* Sun Feb 14 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 960230
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 neoclust <neoclust> 0.5.0-3.mga6
+ Revision: 879725
- Enable debugs

* Wed Sep 09 2015 neoclust <neoclust> 0.5.0-2.mga6
+ Revision: 875108
- Fix build with new rpm ( empty debuginfo)

* Sun Jun 21 2015 wally <wally> 0.5.0-1.mga6
+ Revision: 837642
- new version 0.5.0
- add pkg for gtk3 lib
- disable gtk doc

* Thu Apr 09 2015 wally <wally> 0.4.0-3.mga5
+ Revision: 819953
- push to core/release

* Tue Apr 07 2015 wally <wally> 0.4.0-2.mga5
+ Revision: 819866
- add patch to fix missing menus when all items are in submenus (mga#15635, xfce#11801)

* Tue Mar 03 2015 wally <wally> 0.4.0-1.mga5
+ Revision: 817392
- new version 0.4.0
- drop patches from usptream

* Tue Jan 06 2015 wally <wally> 0.3.0-4.mga5
+ Revision: 808737
- add patches from upstream git:
  * fix menu icons for misconfigured desktop files (xfce#10709)
  * add case insensitive sorting to the menu (xfce#10594)
  * don't force URLs to be opened in a web browser (xfce#10212)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 741854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 679415
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 595886
- new version 0.3.0

* Sun Feb 16 2014 wally <wally> 0.3.0-0.git20140215.1.mga5
+ Revision: 592611
- use latest git snapshot
- create new lib pkg for common gtk parts

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 523558
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.2.1-1.mga4
+ Revision: 425072
- new version 0.2.1

* Fri Apr 12 2013 wally <wally> 0.2.0-5.mga3
+ Revision: 409822
- push to core/release (really fix missing translations, mga#9692)

* Fri Apr 12 2013 wally <wally> 0.2.0-4.1.mga3
+ Revision: 409808
- try to really fix missing translations

* Thu Apr 11 2013 wally <wally> 0.2.0-4.mga3
+ Revision: 409686
- rebuild due to a missing settings menu translations (mga#9692)

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 351063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 wally <wally> 0.2.0-2.mga3
+ Revision: 316740
- rename data package

* Mon May 28 2012 wally <wally> 0.2.0-1.mga3
+ Revision: 248449
- new version 0.2.0
- fix lib pkg name
- move i18n files to main pkg
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.1.10-1.mga2
+ Revision: 208445
- new version 0.1.10

* Sat Jun 25 2011 ahmad <ahmad> 0.1.8-1.mga2
+ Revision: 113315
- Update to 0.1.8

* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 41629
- don't ship .a, .la
- imported package garcon


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 632317
- update to new version 0.1.5

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 616352
- update to new version 0.1.4

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-1mdv2011.0
+ Revision: 594762
- update to new version 0.1.3

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2011.0
+ Revision: 593848
- remove conflicting file with mandriva-xfce-config-common package

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2011.0
+ Revision: 593801
- add requires on garcon

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2011.0
+ Revision: 593794
- update to new version 0.1.2
- package new menus and new catecory files

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-2mdv2010.1
+ Revision: 512396
- fix requires and provides for devel package
- import garcon


